[@algorandfoundation/algokit-utils](../README.md) / [types/app-spec](../modules/types_app_spec.md) / Schema

# Interface: Schema

[types/app-spec](../modules/types_app_spec.md).Schema

The storage schema definition

## Table of contents

### Properties

- [declared](types_app_spec.Schema.md#declared)
- [reserved](types_app_spec.Schema.md#reserved)

## Properties

### declared

• **declared**: `Record`\<`string`, [`DeclaredSchemaValueSpec`](types_app_spec.DeclaredSchemaValueSpec.md)\>

Declared storage schema

#### Defined in

[src/types/app-spec.ts:294](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L294)

___

### reserved

• **reserved**: `Record`\<`string`, [`ReservedSchemaValueSpec`](types_app_spec.ReservedSchemaValueSpec.md)\>

Reserved storage schema

#### Defined in

[src/types/app-spec.ts:296](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L296)
